# $Revision: 1.4.2.2 $, $Date: 2003/04/28 12:51:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tie
%define	pnam	Config
Summary:	Tie::Config - class definitions for tied hashes config file reading
Summary(pl):	Tie::Config - klasa do czytania pliku konfiguracyjnego z powizanymi haszami
Name:		perl-Tie-Config
Version:	0.04
Release:	3
License:	custom (free, Artistic-like)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::Config - class definitions for tied hashes config file reading.

%description -l pl
Tie::Config - definicje klasy do czytania pliku konfiguracyjnego z
powizanymi haszami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Tie::Config")' Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man3
pod2man --section=3pm Config.pm > $RPM_BUILD_ROOT%{_mandir}/man3/Tie::Config.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Tie-Config.spec,v $
Revision 1.4.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:59:07  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:59  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/10 21:28:13  qboosh
- pl description, release 2

Revision 1.1  2002/09/07 18:59:44  radek
- new, STBR
